@import url('open.iconic/font/css/open-iconic-bootstrap.min.css');
@import url('switcher-resources/themes.css');
@import url('switcher-resources/theme-switcher.css');

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

html, body {
    height: 100%;
    overflow: hidden;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

#blazor-error-ui .dismiss {
    cursor: pointer;
    position: absolute;
    right: 0.75rem;
    top: 0.5rem;
}

.icon-expand,
.icon-collapse {
    display: inline-block;
    width: 12px;
    height: 12px;
    background-color: currentColor;
}

.icon-collapse {
    mask-image: url("../images/CollapseButton.svg");
    -webkit-mask-image: url("../images/CollapseButton.svg");
}

.icon-expand {
    mask-image: url("../images/ExpandButton.svg");
    -webkit-mask-image: url("../images/ExpandButton.svg");
}

.tb-icon {
    width: 1rem !important;
    height: 1rem !important;
    background-size: contain !important;
    -webkit-mask-repeat: no-repeat !important;
    mask-repeat: no-repeat !important;
    background-position: center center !important;
    background-color: currentColor !important;  
}

.tb-icon-info {
    mask-image: url("../images/icons/Info.svg");
    -webkit-mask-image: url("../images/icons/Info.svg");
}

.tb-icon-new {
    mask-image: url("../images/icons/New.svg");
    -webkit-mask-image: url("../images/icons/New.svg");
}

.tb-icon-edit {
    mask-image: url("../images/icons/Edit.svg");
    -webkit-mask-image: url("../images/icons/Edit.svg");
}

.tb-icon-delete {
    mask-image: url("../images/icons/Delete.svg");
    -webkit-mask-image: url("../images/icons/Delete.svg");
}

.tb-icon-retrieve {
    mask-image: url("../images/icons/Search.svg");
    -webkit-mask-image: url("../images/icons/Search.svg");
}

.tb-icon-printer {
    mask-image: url("../images/icons/Printer.svg");
    -webkit-mask-image: url("../images/icons/Printer.svg");
}

.tb-icon-download {
    mask-image: url("../images/icons/Download.svg");
    -webkit-mask-image: url("../images/icons/Download.svg");
}

.tb-icon-column-chooser {
    mask-image: url("../images/icons/ColumnChooser.svg");
    -webkit-mask-image: url("../images/icons/ColumnChooser.svg");
}

.tb-icon-cancel {
    mask-image: url("../images/icons/Cancel.svg");
    -webkit-mask-image: url("../images/icons/Cancel.svg");
}

.tb-icon-save-new {
    mask-image: url("../images/icons/New.svg");
    -webkit-mask-image: url("../images/icons/New.svg");
}

.tb-icon-save-close {
    mask-image: url("../images/icons/Save.svg");
    -webkit-mask-image: url("../images/icons/Save.svg");
}

.tb-icon-approve-line {
    mask-image: url("../images/icons/ApproveLine.svg");
    -webkit-mask-image: url("../images/icons/Approve.svg");
}

.tb-icon-cancel-line {
    mask-image: url("../images/icons/Cancel.svg");
    -webkit-mask-image: url("../images/icons/Cancel.svg");
}

.tb-icon-reminder {
    mask-image: url("../images/icons/ReminderApprove.svg");
    -webkit-mask-image: url("../images/icons/ReminderApprove.svg");
}

.custom-wider {
    width: 50%;
}

    .custom-wider .modal-header {
        padding: 0;
    }

    .custom-wider .custom-header {
        padding: 0.3rem 0;
        font-size: 1rem;
        justify-content: left;
        display: flex;
        align-items: center;
    }

    .custom-wider .tb-icon-info {
        margin: 0 0.5rem 0 0.6rem;
    }

    .custom-wider .custom-header .close-button {
        font-size: 0.9rem;
        margin-left: auto;
        margin-bottom: 0.2rem;
        margin-right: 0.9rem;
    }

    .custom-wider .modal-body {
        padding-top: 0.6rem;
    }


.custom-popup .custom-header {
    padding: 0.3rem 0;
    font-size: 1rem;
    justify-content: left;
    display: flex;
    align-items: center;
}

.custom-popup .tb-icon-info {
    margin: 0 0.5rem 0 0.6rem;
}

.custom-popup .custom-header .close-button {
    font-size: 0.9rem;
    margin-left: auto;
    margin-bottom: 0.2rem;
    margin-right: 0.9rem;
}

.align-right {
    text-align: right;
}

.custom-popup .modal-body {
    padding-top: 0.6rem;
}

.my-input input {
    text-align: right;
}

.mydivpage .vh30 {
    height: 30vh;
}

.mydivpage .vh35 {
    height: 35vh;
}

.mydivpage .vh40 {
    height: 40vh;
}

.mydivpage .vh45 {
    height: 45vh;
}

.mydivpage .vh50 {
    height: 50vh;
}

.mydivpage .vh60 {
    height: 60vh;
}

.mydivpage .vh70 {
    height: 70vh;
}

.mydivpage .vh75 {
    height: 75vh;
}

.mydivpage .vh80 {
    height: 80vh; 
}

.mydivpage .vh85 {
    height: 85vh;
}

.mydivpage .vh90 {
    height: 90vh;
}

.vh100 {
    height: 100vh !important;
}

.user-profile .logo-container {
    margin-top: 1rem;
    margin-bottom: 1rem;
}

.user-profile .log-off-btn {
    padding-top: 0.815rem;
    padding-bottom: 0.815rem;
    border-top: 1px solid #e5e5e5;
}

.user-profile .btn-hover-default:hover {
    background: #f1f1f1 !important;
}


.menu-icon-user-profile {
    opacity: 0.75;
    mask-image: url(../images/icons/UserProfile.svg);
    -webkit-mask-image: url(../images/icons/UserProfile.svg);
}

.menu-icon-approval {
    opacity: 0.75;
    mask-image: url(../images/icons/Notification.svg);
    -webkit-mask-image: url(../images/icons/Notification.svg);
}

.user-profile .menu-icon-user-profile {
    opacity: 0.25;
    margin-top: 1.25rem;
    margin-bottom: 1.25rem;
}

.user-name-container .tm-8 {
    opacity: 0.8;
}

.menu-icon {
    width: 1.25rem;
    height: 1.25rem;
    min-width: 1rem;
    min-height: 1rem;
    background-size: contain;
    mask-repeat: no-repeat;
    -webkit-mask-repeat: no-repeat;
    background-position: center center;
    background-color: currentColor;
    opacity: 0.7;
    -webkit-mask-size: 100%;
}

.menu-icon-large {
    width: 5rem;
    height: 5rem;
    mask-size: 100%;
    -webkit-mask-size: 100%;
}

.alert-area {
    width: 280px;
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
}

.alert-area .menu-item:hover {
    background-color: #f1f1f1;
    cursor: pointer;
}

.notification-label {
    background-color: #db5565;
    color: white;
    font-size: 12px;
    margin-left: 10px;
    float: right;
    padding: 3px 7px 2px;
    border-radius: 10px;
}

.hidden {
    display: none;
}

.visible {
    display: block;
}

.web-notif-active {
    background-color: #E5E5E5;
}

.badge-notif {
    padding: 3px 5px 2px !important;
    position: absolute !important;
    top: 8px !important;
    left: 25px !important;
    display: inline-block !important;
    min-width: 10px !important;
    font-size: 12px !important;
    font-weight: bold !important;
    color: #ffffff !important;
    line-height: 1 !important;
    vertical-align: baseline !important;
    white-space: nowrap !important;
    text-align: center !important;
    border-radius: 10px !important;
}

.badge-danger {
    background-color: #db5565 !important;
}



/* Style Modal Photo Profile*/

.modal-photo {
    display: block;
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.4);
}

.modal-photo-content {
    background-color: #fefefe;
    margin: 15% auto;
    padding: 20px;
    border: 1px solid #888;
    max-width: 500px;
    min-height: 300px;
}

.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

    .close:hover,
    .close:focus {
        color: black;
        text-decoration: none;
        cursor: pointer;
    }

.photo-preview {
    display: flex;
    justify-content: center;
    margin-bottom: 20px;
}

    .photo-preview img {
        max-width: 400px;
        max-height: 400px;
        object-fit: cover;
        object-position: center;
    }

.modal-photo-footer {
    text-align: center;
}

.btn-photo-upload {
    margin-top: 20px;
    padding: 10px;
    width: 100px;
}

.upload-container {
    text-align: -webkit-center;
    margin-top: 30px;
}

#dropzone-external {
    width: 350px;
    height: 350px;
    background-color: rgba(183, 183, 183, 0.1);
    border-width: 2px;
    border-style: dashed;
    padding: 10px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

    #dropzone-external > * {
        pointer-events: none;
    }

    #dropzone-external.dropzone-hover {
        border-style: solid;
    }

.upload-container > span {
    font-size: 22px;
    font-weight: bold;
    margin-bottom: 16px;
}

#dropzone-image {
    max-width: 100%;
    max-height: 100%;
}

#dropzone-text > span {
    font-weight: 100;
    opacity: 0.5;
}

.upload-progress {
    display: flex;
    margin-top: 10px;
}

/* End Style Modal Photo */

.password-container {
    position: relative;
}

.password-toggle {
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
    z-index: 100;
}

.h-200 {
	height: 200px;
}

.sidebar-nav {
    height: calc(100vh - 56px) !important;
}


.custom-drop-zone {
    padding: 20px 0 15px 0 !important;
    border-style: dashed;
    border-width: 2px !important;
    height: 230px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: rgba(183, 183, 183, 0.1);
}

    .custom-drop-zone.custom-drop-zone-hover {
        border-style: solid;
    }

    .custom-drop-zone svg {
        width: 42px;
        height: 42px;
    }

    .custom-drop-zone > *:not(#overviewDemoSelectButton) {
        pointer-events: none;
    }


.pl-12 {
    padding-left: 12px;
}

.text-bold {
    color: rgba(33, 37, 41, 0.75);
    font-weight: bold;
}


.text-error {
    color: red;
    font-weight: bold;
}

.vertical-center {
    margin-top: 40%;
    transform: translateY(-60%);
}